Skip to content
Proud to collaborate with Microsoft for Startups

argocd.application.get ​

Get returns an application by name

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
namestringYes—the application's name
refreshstringNo—forces application reconciliation if set to 'hard'.
projectslistNo—the project names to restrict returned list applications.
resourceversionstringNo—when specified with a watch call, shows changes that occur after that particular version of a resource.
selectorstringNo—the selector to restrict returned list to applications only with matched labels.
repostringNo—the repoURL to restrict returned list applications.
appnamespacestringNo—the application's namespace.
projectlistNo—the project names to restrict returned list applications (legacy name for backwards-compatibility).

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
namestringYes—the application's name
refreshstringNo—forces application reconciliation if set to 'hard'.
projectslistNo—the project names to restrict returned list applications.
resourceversionstringNo—when specified with a watch call, shows changes that occur after that particular version of a resource.
selectorstringNo—the selector to restrict returned list to applications only with matched labels.
repostringNo—the repoURL to restrict returned list applications.
appnamespacestringNo—the application's namespace.
projectlistNo—the project names to restrict returned list applications (legacy name for backwards-compatibility).
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /api/v1/applications/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /api/v1/applications/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.application.get",
  "initial_data": {
    "base_url": "value",
    "name": "value"
  }
}